/**
 * 提供封装的查询数据中心方法
 */

import { OPERATIONALDATATYPE } from "../config/enums/dbEnum";
import { ERRORENUM } from "../config/enums/errorEnum";
import { systemConfig } from "../config/serverConfig";
import { BizError } from "../util/bizError";
import { post } from "../util/request";


/**
 * 查询
 * @param url url地址 根据枚举获取值
 * @param tableName 表名
 * @param param 条件
 * @param pageNumber 分页传入的页数  非分页可不传
 * @param pageSize 分页传入的单页大小  非分页可不传
 */
export async function selectData(url, tableName, param, column) {
    
    let header = {table:tableName, sign:systemConfig.sign};
    let queray:any = {param};
    if (column && column.length) {
        queray.column = column;
    }

    let result:any = await post(`${systemConfig.dbPath}${url}`, queray, header );
    if (result.code != 200) return false;
    if (!result.data || result.data.data == null || result.data.data == undefined) return false;
    return result.data.data;
}