import { OPERATIONALDATATYPE, TABLENAME } from "../config/enums/dbEnum";
import { ERRORENUM } from "../config/enums/errorEnum";
import { selectData } from "../data/findData";
import { BizError } from "../util/bizError";


export async function authentication(req, res, next) {
    if (req.originalUrl == "/yfs/fileserver/up") {
        if (!req.headers) req.headers = {};
        let userId = req.headers.userid;
        let token = req.headers.token;
    
        if (!req.headers["content-type"]) {
            return next(new BizError(ERRORENUM.预检请求, `上传时候${userId}  ${token}`));
        }
        if (!userId || !token) {
            return next(new BizError(ERRORENUM.非法登录, `上传时候${userId}  ${token}`));
        }
    
        if (userId == "admin" || userId == "superAdmin") {
            let userInfo = await selectData(OPERATIONALDATATYPE.查询单个, TABLENAME.后台用户表, {uId:userId}, null);
            if (!userInfo || !userInfo.uId) return next(new BizError(ERRORENUM.身份验证失败));
            if (!userInfo.token || userInfo.token != token) return next(new BizError(ERRORENUM.身份验证过期));
        }
        else {
            let userInfo = await selectData(OPERATIONALDATATYPE.查询单个, TABLENAME.党员基础信息表, {pmId:userId}, null);
            if (!userInfo || !userInfo.pmId) return next(new BizError(ERRORENUM.身份验证失败));
            if (!userInfo.adminToken || userInfo.adminToken != token) return next(new BizError(ERRORENUM.身份验证过期));
        }
    
        return next();
    }
    else {
        // let query = req.query || {};
        // let token = query.token;
        // let userId = query.userid;
    
        // if (!userId || !token) return next(new BizError(ERRORENUM.非法登录));
    
        // if (userId == "admin") {
        //     let userInfo = await selectData(OPERATIONALDATATYPE.查询单个, TABLENAME.后台用户表, {uId:userId}, null);
        //     if (!userInfo || !userInfo.uId) return next(new BizError(ERRORENUM.身份验证失败));
        //     if (!userInfo.token || userInfo.token != token) return next(new BizError(ERRORENUM.身份验证过期));
        // }
        // else {
        //     let userInfo = await selectData(OPERATIONALDATATYPE.查询单个, TABLENAME.党员基础信息表, {pmId:userId}, null);
        //     if (!userInfo || !userInfo.pmId) return next(new BizError(ERRORENUM.身份验证失败));
        //     if (!userInfo.token || userInfo.token != token) return next(new BizError(ERRORENUM.身份验证过期));
        // }
    
        return next();
    }
}

export async function fileUpAuthentication(req, res, next) {
   
}