/**
 * 总路由入口
 */
import * as asyncHandler from 'express-async-handler'
import { parseFormParam } from '../middleware/fromParam';
import { getFilesId } from '../tools/systemTools';
const fs = require('fs');
const path = require('path');

export function setRouter(httpServer){
    httpServer.post('/yfs/fileserver/up', parseFormParam, asyncHandler(upFiles));
}

async function upFiles(req, res) {
    let fileType = req.fileType;
    let { name, upType } = req.files.formData;
    let docPath = req.files.formData.path;

    let fileDir = path.resolve(docPath, '..');
    let fileName = `${getFilesId(upType, fileType, name)}${fileType}`;
    let newPath = path.join(fileDir, fileName);

    fs.renameSync(docPath, newPath );
    console.log("上传文件",fileName,"成功");

    res.success({fileName});
}



